Bug 1660314 (CVE-2018-20191)

Summary: CVE-2018-20191 QEMU: pvrdma: uar_read leads to NULL dereference
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-20 05:17:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1660315    
Bug Blocks: 1649132    

Description Prasad J Pandit 2018-12-18 06:54:15 UTC
A Null pointer dereference issue was found in QEMU's implementation of
VMWare's paravirtual RDMA device. It could occur while performing
UAR read operation, as it did not define a routine to handle it.

A guest user/process could use this flaw to crash QEMU process on host,
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-12/msg03066.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/12/18/1

Comment 1 Prasad J Pandit 2018-12-18 06:54:18 UTC
Acknowledgments:

Name: Li Qiang

Comment 2 Prasad J Pandit 2018-12-18 06:54:31 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1660315]